OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.INTEL.ParallelArrays

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetINTELParallelArrays :: MonadIO m => m Bool
- gl_INTEL_parallel_arrays :: Bool
- pattern GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum
- pattern GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum
- pattern GL_PARALLEL_ARRAYS_INTEL :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum
- pattern GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum
- glColorPointervINTEL :: MonadIO m => GLint -> GLenum -> Ptr (Ptr a) -> m ()
- glNormalPointervINTEL :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glTexCoordPointervINTEL :: MonadIO m => GLint -> GLenum -> Ptr (Ptr a) -> m ()
- glVertexPointervINTEL :: MonadIO m => GLint -> GLenum -> Ptr (Ptr a) -> m ()

# Extension Support

glGetINTELParallelArrays :: MonadIO m => m Bool Source #

Is the INTEL_parallel_arrays extension supported?

gl_INTEL_parallel_arrays :: Bool Source #

Is the INTEL_parallel_arrays extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetINTELParallelArrays` in those cases instead.

# Enums

pattern GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum Source #

pattern GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum Source #

pattern GL_PARALLEL_ARRAYS_INTEL :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum Source #

pattern GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL :: GLenum Source #

# Functions

glColorPointervINTEL Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> Ptr (Ptr a) | `pointer` pointing to `4` elements of type `Ptr a`.
-> m () |

glNormalPointervINTEL Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> Ptr (Ptr a) | `pointer` pointing to `4` elements of type `Ptr a`.
-> m () |

glTexCoordPointervINTEL Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> Ptr (Ptr a) | `pointer` pointing to `4` elements of type `Ptr a`.
-> m () |

glVertexPointervINTEL Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> Ptr (Ptr a) | `pointer` pointing to `4` elements of type `Ptr a`.
-> m () |